Execute Computer Use Action (Deprecated)
Deprecated, use executeSandboxAction instead
Deprecated, use executeSandboxAction instead
Path Parameters
sandboxId*string
The sandbox ID
orgId*string
The organization ID
Request Body
application/json
action*||||||||||||||
All possible computer use actions, with optional callId
screenShotPutUrl?string
Optional screenshot upload URL, if provided, the screenshot will be uploaded to this URL using HTTP PUT method
Format
uriincludeScreenShot?boolean
Whether to include the screenshot url after action in the response
Default
trueincludeCursorPosition?boolean
Whether to include the cursor position after action in the response
Default
trueResponse Body
application/json
curl -X POST "https://loading/api/orgs/string/sandboxes/string/actions/computer-use" \ -H "Content-Type: application/json" \ -d '{ "action": { "type": "mouse:click", "x": { "type": "px", "value": 0 }, "y": { "type": "px", "value": 0 }, "button": 0 } }'{
"screenShot": "http://example.com",
"cursorPosition": {
"x": 0,
"y": 0,
"screenWidth": 0,
"screenHeight": 0,
"screenIndex": 0
},
"actionResult": null
}